pro find_ssc_gaps, time0, time1, sscgaps, nocd=nocd, nofile=nofile, $
   patch_file=patch_file, gap_file=gap_file, append=append
;+
;   Name: find_ssc_gaps
;
;   Purpose: find gaps in ssc coverage between time0 and time1
;
;   Input Parameters:
;      time0, time1 - time range for check - default=mission
;
;   Keyword Parameters:
;      patch_file - name of patch file - def='$SSW_SITE_LOGS/ssc_patch.dat'
;      nocd - (switch) if set, dont bother checking CDROM gaps
;      gap_file   - name of gap file   - def='$SSW_SITE_LOGS/ssc_gap.dat'
;      append (switch) - set if files are appended to (def = new)

new=1-keyword_set(append)

tgrid=timegrid(time0,time1,/day,out='vms',/date_only)
root= arr2str(time2file([tgrid(0),last_nelem(tgrid)],/date_only),'_')
nt=n_elements(tgrid)

if not data_chk(patch_file,/string) then $
   patch_file=concat_dir('$SSW_SITE_LOGS','ssc_patch'+'_'+root+'.dat')

if not data_chk(gap_file,/string) then $
   gap_file=concat_dir('$SSW_SITE_LOGS','ssc_gap'+'_'+root+'.dat')

gapfile=1-keyword_set(nofile)
checkcd=(1-keyword_set(nocd)) and gapfile
cdrf=''
isgap=intarr(n_elements(tgrid))

for i=0,nt -1 do begin 
   sscf=ssc_files(tgrid(i))
   if checkcd then cdrf=cdrom_files(day=tgrid(i))
   if sscf(0) eq '' then begin
      isgap(i)=1
      if gapfile then file_append,gap_file,tgrid(i), new=(i eq 0) and new
      if cdrf(0) ne '' then file_append, patch_file,tgrid(i), new=(i eq 0) and new
   endif
endfor
ssgap=where(isgap,gcnt)
if gcnt eq 0 then sscgaps='' else sscgaps=tgrid(ssgap)

return
end
